Loading...
Searching...
No Matches
comp128v23.c File Reference
GSM/GPRS/3G Authentication

COMP128 version 2 and 3 implementation, common algorithm used for GSM Authentication (A3/A8). More...

`#include <stdint.h>`
`#include <string.h>`

## Functions

static void | _comp128v23_internal (uint8_t *output, const uint8_t *kxor, const uint8_t *rand)
int | comp128v3 (const uint8_t *ki, const uint8_t *rand, uint8_t *sres, uint8_t *kc)
| Perform COMP128v3 algorithm.
int | comp128v2 (const uint8_t *ki, const uint8_t *rand, uint8_t *sres, uint8_t *kc)
| Perform COMP128v2 algorithm.

## Variables

static const uint8_t | table0 [256]
static const uint8_t | table1 [256]

## Detailed Description

COMP128 version 2 and 3 implementation, common algorithm used for GSM Authentication (A3/A8).

This code is a C conversion of the original code by Tamas Jos info@.nosp@m.skel.nosp@m.sec.c.nosp@m.om from:

- original (out of service): http://www.hackingprojects.net/
- original (archive): https://web.archive.org/web/20130730113347/http://www.hackingprojects.net/
- new site: https://github.com/skelsec/COMP128